<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" dir="ltr">

<head>
    <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=UTF-8" />
    <title>Join Chat!</title>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>

	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/css/bootstrap.min.css">
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/css/bootstrap-theme.min.css">
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/js/bootstrap.min.js"></script>

    <script type="text/javascript">
    function checkuser() {
        var name = document.getElementById('name').value;
        var email = document.getElementById('email').value;
        var username = document.getElementById('username').value;
        var passwordField = document.getElementById('passwordField').value;
        var passwordField1 = document.getElementById('passwordField1').value;

        if (name == '') {
            alert('Please Enter your Name!');
            document.getElementById('name').focus();
            return false;
        }
        if (email == '') {
            alert('Please Enter your Email!');
            document.getElementById('email').focus();
            return false;
        }
        if (emailvalid(email) == false) {
            alert("Please Enter the Valid Your E-mail address");
            document.getElementById("email").focus();
            return false;
        }
        if (username == '') {
            alert('Please Enter your Username!');
            document.getElementById('username').focus();
            return false;
        }
        if (passwordField == '') {
            alert('Please Enter Password!');
            document.getElementById('passwordField').focus();
            return false;
        }
        if (passwordField1 == '') {
            alert('Please Re-type Password!');
            document.getElementById('passwordField1').focus();
            return false;
        }
        if (passwordField1 != passwordField) {
            alert('Password Not Matching!');
            document.getElementById('passwordField').focus();
            return false;
        } else {
            return true;
        }

        function emailvalid(email) {
            var filter = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i
            if (!filter.test(email))
                return false;
            else
                return true;
        }

    }
    </script>
    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript">
    $(document).ready(function() {

        //the min chars for username
        var min_chars = 3;
        //result texts
        var characters_error = 'Please enter at least 3 characters!';
        var checking_html = '<img src="img/loading.gif" /> Checking...';

        //when button is clicked
        $('#check_username_availability').click(function() {
            //run the character number check
            if ($('#username').val().length < min_chars) {
                //if it's bellow the minimum show characters_error text
                $('#username_availability_result').html(characters_error);
            } else {
                //else show the cheking_text and run the function to check
                $('#username_availability_result').html(checking_html);
                check_availability();
            }
        });

    });

    //function to check username availability
    function check_availability() {

        //get the username
        var username = $('#username').val();

        //use ajax to run the check
        $.post("check_username.php", {
                username: username
            },
            function(result) {
                //if the result is 1
                if (result == 1) {
                    //show that the username is available
                    $('#username_availability_result').html('<span class="is_available"><b>' + username + '</b> is Available</span>');
                } else {
                    //show that the username is NOT available
                    $('#username_availability_result').html('<span class="is_not_available"><b>' + username + '</b> is not Available</span>');
                }
            });

    }
    </script>
        <style>body {padding:20px}h1 {margin:0; padding:0; margin-bottom:10px; }</style>
</head>

<body>
    <div id="loginContent">
        <div id="loginHeadlineContainer">
            <h1>Registration For Chat!</h1>
        </div>
        <form id="loginForm" action="chat_regresult.php" method="post" onSubmit="return checkuser();" enctype="application/x-www-form-urlencoded">
            <div id="loginFormContainer">
                <div style="width: 175px; float:left;">
                    <div style="margin: 0;">
                        <label for="name">Name:</label>
                        <br/>
                        <input type="text" name="name" id="name" maxlength="50" style="margin-bottom: 5px;" />
                    </div>

                    <div style="margin: 0;">
                        <label for="email">Email:</label>
                        <br/>
                        <input type="text" name="email" id="email" maxlength="50" style="margin-bottom: 5px;" />
                    </div>

                    <div style="margin: 0;">
                        <label for="phone">Phone(optional):</label>
                        <br/>
                        <input type="text" name="phone" id="phone" maxlength="50" style="margin-bottom: 5px;" />
                    </div>
                </div>
                <div style="width:300px; float:left;">
                    <div style="margin: 0;">
                        <label for="username">Username:</label>
                        <br/>
                        <input type="text" name="userNameField" id="username" maxlength="15" style=" margin-bottom: 0px;" />
                        <input type='button' id='check_username_availability' value='Check Availability'>

                        <div id='username_availability_result' style=" margin-bottom: 10px;"></div>
                    </div>

                    <div style="margin: 0;">
                        <label for="text">Username is restricted to 15 characters.</label>
                        <br/>
                        <br/>
                    </div>
                </div>
                <div style="width: 275px; float:left;">
                    <div style="margin: 0;">
                        <label for="passwordField">Password:</label>
                        <br/>
                        <input type="password" name="passwordField" id="passwordField" style="margin-bottom: 5px;" />
                    </div>

                    <div style="margin: 0;">
                        <label for="passwordField1">Re-type Password:</label>
                        <br/>
                        <input type="password" name="passwordField1" id="passwordField1" style="margin-bottom: 5px;" />
                    </div>

                    <div style="margin: 0;">
                        <input type="submit" name="submit" id="loginButton" value="Register" style="margin-bottom: 5px;" />
                    </div>

                    </div>
                </div>

            </div>
        </form>

    </div>
</body>

</html>
