jQuery(document).ready(function($) {

function close_all() {
        $("#chat-pop").fadeOut("slow");
        $("#form-pop").fadeOut("slow");
        $("#bible-pop").fadeOut("slow");
    }
    $("#chat-open").click(function() {
        close_all();
        $("#chat-pop").fadeToggle( "slow", "linear" );
    });

    $("#notes-open").click(function() {
        close_all();
        $("#notes-pop").fadeToggle( "slow", "linear" );
    });

    $("#bible-open").click(function() {
        close_all();
        $("#bible-pop").fadeToggle( "slow", "linear" );
    });



    jQuery(".vod ul").quickPagination({
        pagerLocation: "both",
        pageSize: "4"
    });
    jQuery('.schedule-time').each(function() {
        divUtc = jQuery(this).text();
        var localTime  = moment.utc(divUtc).toDate();
        localTime = moment(localTime).format('h:mma');
        jQuery(this).text(localTime);
    });
    twitter = jQuery('.twitter-list').bxSlider({
    mode: 'vertical',
    minSlides: 1,
    slideMargin: 10,
    pager: false,
    controls:false
  });

});

/* VOD Play */

function play_this(code, override, overridedesktop, overridemobile) {
    var prefix = "http://newpsalmisttest-vh.akamaihd.net/";

    var isMobile = {
        Android: function() {
            return navigator.userAgent.match(/Android/i);
        },
        BlackBerry: function() {
            return navigator.userAgent.match(/BlackBerry/i);
        },
        iOS: function() {
            return navigator.userAgent.match(/iPhone|iPad|iPod/i);
        },
        Opera: function() {
            return navigator.userAgent.match(/Opera Mini/i);
        },
        Windows: function() {
            return navigator.userAgent.match(/IEMobile/i) || navigator.userAgent.match(/WPDesktop/i);
        },
        any: function() {
            return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
        }
    };
    if (override == "true") {

        if (isMobile.any()) {
            jwplayer('mediaspace').setup({
                playlist: [{
                    file: overridemobile,
                    type: 'mp4'
                }],
                fallback: 'false',
                width: "100%",
                aspectratio: "16:9",
                autostart: true,
                primary: 'html',
                mute: false,
                skin: "bekle",
                ga: {
                idstring: "title"
                },
                abouttext: "The Church Online 3.1.2",
                aboutlink: "http://www.go.thechurchonline.com/",
                icons: 'false'
            });
            jwplayer('mediaspace').onError(function() {
                $('.poster').empty();
                $('.poster').append('<div id="mediaspace"><img src="images/unavailable.png" alt="unavailable" /></div>');
            });
        } else {
            jwplayer('mediaspace').setup({
                playlist: [{
                    file: overridedesktop,
                    provider: 'http://players.edgesuite.net/flash/plugins/jw/v3.5/AkamaiAdvancedJWStreamProvider.swf',
                    type: 'mp4'
                }],
                fallback: 'false',
                width: "100%",
                aspectratio: "16:9",
                autostart: true,
                primary: 'flash',
                mute: false,
                ga: {
                idstring: "title"
                },
                skin: "bekle",
                abouttext: "The Church Online 3.1.2",
                aboutlink: "http://www.go.thechurchonline.com/",
                icons: 'false'
            });
            jwplayer('mediaspace').onError(function() {
                $('.poster').empty();
                $('.poster').append('<div id="mediaspace"><img src="images/unavailable.png" alt="unavailable" /></div>');
            });
        }
        $("html, body").animate({
            scrollTop: 0
        }, "slow");
    return false;

    } else {
          if (isMobile.any()) {
            jwplayer('mediaspace').setup({
                playlist: [{

                    file: prefix + 'i/delivery/' + code + '/master.m3u8',
                    type: 'mp4'
                }],
                fallback: 'false',
                width: "100%",
                aspectratio: "16:9",
                autostart: true,
                primary: 'html',
                mute: false,
                skin: "bekle",
                ga: {
                idstring: "title"
                },
                abouttext: "The Church Online 3.1.2",
                aboutlink: "http://www.go.thechurchonline.com/",
                icons: 'false'
            });

            jwplayer('mediaspace').onError(function() {
                $('.poster').empty();
                $('.poster').append('<div id="mediaspace"><img src="images/unavailable.png" alt="unavailable" /></div>');
            });
        } else {
            jwplayer('mediaspace').setup({
                playlist: [{
                    file: prefix + 'z/delivery/' + code + '/manifest.f4m',
                    provider: 'http://players.edgesuite.net/flash/plugins/jw/v3.5/AkamaiAdvancedJWStreamProvider.swf',
                    type: 'mp4'
                }],
                fallback: 'false',
                width: "100%",
                aspectratio: "16:9",
                autostart: true,
                primary: 'flash',
                skin: "bekle",
                mute: false,
                ga: {
                idstring: "title"
                },
                abouttext: "The Church Online 3.1.2",
                aboutlink: "http://www.go.thechurchonline.com/",
                icons: 'false'
            });

            jwplayer('mediaspace').onError(function() {
                $('.poster').empty();
                $('.poster').append('<div id="mediaspace"><img src="images/unavailable.png" alt="unavailable" /></div>');
            });
        };

                $("html, body").animate({
            scrollTop: 0
        }, "slow");
    return false;
    }


}