<?php 
    include(__DIR__.'/google-api-php-client-master/autoload.php'); 
    date_default_timezone_set('UTC');
    $client = new Google_Client();
    $client->setApplicationName("My Calendar");
    $client->setDeveloperKey('AIzaSyCpPWjnOr6C_l5Jx_3qSs6KwQ00CfaON6A');
    $cal = new Google_Service_Calendar($client);
    $calendarId = 'bl1oj3iphimkctv7apr6pj70go@group.calendar.google.com';
    $params = array(
      'singleEvents' => true,
      'orderBy' => 'startTime',
      'timeMin' => date(DateTime::ATOM),
    );

    $events = $cal->events->listEvents($calendarId, $params); 
    $countsub = 0;
    $showsub = 0;
    foreach ($events->getItems() as $event) { 
    if($countsub <= 3) {
     
     $eventDateStr = $event->start->dateTime;
     if(empty($eventDateStr))
     {
       $eventDateStr = $event->start->date;
     }
     
     if (!empty($event->start->timeZone)) {
     $timezone = new DateTimeZone($event->start->timeZone);
     } else { 
     $timezone = new DateTimeZone('America/New_York');
     }

     $eventdate = new DateTime($eventDateStr,$timezone);
     $timewarp = new DateTimeZone('UTC');
     $eventdate->setTimeZone($timewarp);

     $day = $eventdate->format("j");
     $month = $eventdate->format("M");
     $time = $eventdate->format("Y-m-d H:i:s");
?>

<li>
<span class="schedule-date"><?php echo utf8_encode($month); ?> <span class="schedule-day"><?php echo utf8_encode($day); ?></span></span>
<span class="schedule-title"><?php echo utf8_encode($event->summary); ?></span>
<span class="schedule-time"><?php echo utf8_encode($time); ?></span>
</li>
              
<?php  
         ++$countsub;   
    }  
  }

?>
