<!DOCTYPE html>
<html>

<head>
    <?php include_once( 'includes/class-head.php'); ?>
</head>

<body>
    <header>
        <div class="main">
            <a href="/" class="logo"></a>
            <div class="logo-text">
                <h1>New Psalmist</h1>
                <h2>Baptist Church</h2>
            </div>
            <div class="header-social">
                <a class="fa fa-facebook" href="https://facebook.com/newpsalmist" target="_blank"></a>
                <a class="fa fa-twitter" href="https://twitter.com/newpsalmist" target="_blank"></a>
                <a class="fa fa-youtube" href="https://www.youtube.com/user/newpsalmistbc" target="_blank"></a>
            </div>
        </div>
    </header>
    <div class="main" id="mainly">
    <div class="player-window">
        <div class="poster">
            <div id="mediaspace"><img src="images/poster.png" alt="poster" onclick="play_this('', 'true', 'http://npbc-vh.akamaihd.net/z/2015-04-30_18_45_00_Adobe_HTTP_h264_LF_16x9_720p/mp4/,01_110,02_230,03_480,04_990,05_1800,06_3000,Kb.mp4.csmil/manifest.f4m', 'http://npbc-vh.akamaihd.net/i/2015-04-30_18_45_00_Adobe_HTTP_h264_LF_16x9_720p/mp4/,01_110,02_230,03_480,04_990,05_1800,06_3000,Kb.mp4.csmil/master.m3u8');" />
            </div>
        </div>
        <div class="schedule">
            <div class="modal" id="notes-pop">
                <iframe src="form.php"></iframe>
            </div>
            <div class="modal" id="chat-pop">
                <iframe src="http://genesis.thechurchonline.com/~chat/npbc/"></iframe>
            </div>
            <div class="modal" id="bible-pop">
                <iframe src="http://sandbox.thechurchonline.com/tco_bible/"></iframe>
            </div>
                <h3>Broadcast Schedule</h3>
                <ul>
                    <?php include_once( 'includes/class-gcal.php'); ?>
                </ul>
                <div class="cf"></div>
              



        </div>
        <div class="cf"></div></div>
        <div class="toolbox">
            <ul id="tabs">
                <li class="chat"><a id="chat-open" class="toolbox-chat">Chat</a>
                </li>
                <li class="donate"><a href="https://newpsalmist.infellowship.com/UserLogin/Index" target="_blank" class="toolbox-donate">Donate</a>
                </li>
                <li class="notes"><a id="notes-open" class="toolbox-notes">Notes</a>
                </li>
                <li class="bible"><a id="bible-open" class="toolbox-bible">Bible</a>
                </li>
                <li class="visit"><a href="http://newpsalmist.org" target="_blank" class="toolbox-visit">Visit</a>
                </li>
            </ul>
            <div class="clear"></div>
        </div>

        <div class="vod">
            <h4>Available on Demand</h4>
            <ul class="voo">
                <?php include_once( 'includes/class-videos.php'); ?>
            </ul>
            <div class="cf"></div>
        </div>
    </div>
    <footer>
        <?php include_once( 'includes/class-twitter.php'); ?>
        <div class="foot-tweeter">
            <div class="main">
                <a class="twitter-logo fa fa-twitter" href="<?php echo $status->user->screen_name ?>"></a>
                <ul class="twitter-list">
                    <?php foreach ($statuses as $status): ?>
                    <li>
                        <p>
                            <?php echo Twitter::clickable($status) ?>
                        </p>
                    </li>
                    <?php endforeach ?>
                </ul>
                <span class="twitter-move">
                        <a href="javascript:twitter.goToPrevSlide();" class="fa fa-caret-up twitter-trans twitter-up"></a>
                        <a href="javascript:twitter.goToNextSlide();" class="fa fa-caret-down twitter-trans twitter-down"></a>
                </span>
            </div>
            <div class="cf"></div>
        </div>
        <div class="foot-content">
            <div class="foot-address">6020 Marian Drive &#8226; Baltimore, MD 21215 &#8226; 410.945.3000</div>
        </div>
        <div class="cf"></div>
        <div class="foot-after">
            <div class="foot-after-copy">Copyright
                <?php echo date( "Y"); ?> | All Rights Reserved | Site by <a href="http://thechurchonline.com" target="_blank">The Church Online</a>
            </div>
        </div>
    </footer>
</body>

</html>
